------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008, 2009 Vadim Godunko <vgodunko@gmail.com>                --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
with Qt4.Abstract_Spin_Boxes;
with Qt4.Date_Times;
with Qt4.Dates;
with Qt4.Strings;
with Qt4.Times;
with Qt_Ada.Generic_Object_Pointers;

package Qt4.Date_Time_Edits is

   type Q_Date_Time_Edit is limited interface
     and Qt4.Abstract_Spin_Boxes.Q_Abstract_Spin_Box;

   type Q_Date_Time_Edit_Access is
     access all Q_Date_Time_Edit'Class;
   for Q_Date_Time_Edit_Access'Storage_Size use 0;

   type Q_Date_Time_Edit_Pointer is tagged;

   function Calendar_Popup
    (Self : not null access constant Q_Date_Time_Edit'Class)
       return Standard.Boolean;

   procedure Clear_Maximum_Date
    (Self : not null access Q_Date_Time_Edit'Class);

   procedure Clear_Maximum_Date_Time
    (Self : not null access Q_Date_Time_Edit'Class);

   procedure Clear_Maximum_Time
    (Self : not null access Q_Date_Time_Edit'Class);

   procedure Clear_Minimum_Date
    (Self : not null access Q_Date_Time_Edit'Class);

   procedure Clear_Minimum_Date_Time
    (Self : not null access Q_Date_Time_Edit'Class);

   procedure Clear_Minimum_Time
    (Self : not null access Q_Date_Time_Edit'Class);

   function Current_Section_Index
    (Self : not null access constant Q_Date_Time_Edit'Class)
       return Qt4.Q_Integer;

   function Date
    (Self : not null access constant Q_Date_Time_Edit'Class)
       return Qt4.Dates.Q_Date;

   function Date_Time
    (Self : not null access constant Q_Date_Time_Edit'Class)
       return Qt4.Date_Times.Q_Date_Time;

   function Display_Format
    (Self : not null access constant Q_Date_Time_Edit'Class)
       return Qt4.Strings.Q_String;

   function Maximum_Date
    (Self : not null access constant Q_Date_Time_Edit'Class)
       return Qt4.Dates.Q_Date;

   function Maximum_Date_Time
    (Self : not null access constant Q_Date_Time_Edit'Class)
       return Qt4.Date_Times.Q_Date_Time;

   function Maximum_Time
    (Self : not null access constant Q_Date_Time_Edit'Class)
       return Qt4.Times.Q_Time;

   function Minimum_Date
    (Self : not null access constant Q_Date_Time_Edit'Class)
       return Qt4.Dates.Q_Date;

   function Minimum_Date_Time
    (Self : not null access constant Q_Date_Time_Edit'Class)
       return Qt4.Date_Times.Q_Date_Time;

   function Minimum_Time
    (Self : not null access constant Q_Date_Time_Edit'Class)
       return Qt4.Times.Q_Time;

   function Section_Count
    (Self : not null access constant Q_Date_Time_Edit'Class)
       return Qt4.Q_Integer;

   procedure Set_Calendar_Popup
    (Self : not null access Q_Date_Time_Edit'Class;
     Enable : Standard.Boolean);

   procedure Set_Current_Section_Index
    (Self : not null access Q_Date_Time_Edit'Class;
     Index : Qt4.Q_Integer);

   procedure Set_Date_Range
    (Self : not null access Q_Date_Time_Edit'Class;
     Mix : Qt4.Dates.Q_Date;
     Max : Qt4.Dates.Q_Date);

   procedure Set_Date_Time_Range
    (Self : not null access Q_Date_Time_Edit'Class;
     Mix : Qt4.Date_Times.Q_Date_Time;
     Max : Qt4.Date_Times.Q_Date_Time);

   procedure Set_Display_Format
    (Self : not null access Q_Date_Time_Edit'Class;
     Format : Qt4.Strings.Q_String);

   procedure Set_Maximum_Date
    (Self : not null access Q_Date_Time_Edit'Class;
     Max : Qt4.Dates.Q_Date);

   procedure Set_Maximum_Date_Time
    (Self : not null access Q_Date_Time_Edit'Class;
     Max : Qt4.Date_Times.Q_Date_Time);

   procedure Set_Maximum_Time
    (Self : not null access Q_Date_Time_Edit'Class;
     Max : Qt4.Times.Q_Time);

   procedure Set_Minimum_Date
    (Self : not null access Q_Date_Time_Edit'Class;
     Min : Qt4.Dates.Q_Date);

   procedure Set_Minimum_Date_Time
    (Self : not null access Q_Date_Time_Edit'Class;
     Min : Qt4.Date_Times.Q_Date_Time);

   procedure Set_Minimum_Time
    (Self : not null access Q_Date_Time_Edit'Class;
     Min : Qt4.Times.Q_Time);

   procedure Set_Time_Range
    (Self : not null access Q_Date_Time_Edit'Class;
     Mix : Qt4.Times.Q_Time;
     Max : Qt4.Times.Q_Time);

   procedure Set_Time_Spec
    (Self : not null access Q_Date_Time_Edit'Class;
     Spec : Qt4.Time_Spec);

   function Time
    (Self : not null access constant Q_Date_Time_Edit'Class)
       return Qt4.Times.Q_Time;

   function Time_Spec
    (Self : not null access Q_Date_Time_Edit'Class)
       return Qt4.Time_Spec;

   procedure Set_Date
    (Self : not null access Q_Date_Time_Edit'Class;
     Date : Qt4.Dates.Q_Date);

   procedure Set_Date_Time
    (Self : not null access Q_Date_Time_Edit'Class;
     Date_Time : Qt4.Date_Times.Q_Date_Time);

   procedure Set_Time
    (Self : not null access Q_Date_Time_Edit'Class;
     Time : Qt4.Times.Q_Time);

   package Q_Date_Time_Edit_Pointers is
     new Qt_Ada.Generic_Object_Pointers (Q_Date_Time_Edit, Q_Date_Time_Edit_Access);

   type Q_Date_Time_Edit_Pointer is
     new Q_Date_Time_Edit_Pointers.Q_Pointer with null record;

end Qt4.Date_Time_Edits;
